{
  "type": "minecraft:crafting_shaped",
  "category": "misc",
  "key": {
    "#": "minecraft:glass",
    "A": "clay_ball",
    "B": "#planks",
    "C": "string"
  },
  "pattern": [
    "CBC",
    "# #",
    "A#A"
  ],
  "result": {
    "components": {
      "minecraft:max_stack_size": 1
    },
    "count": 1,
    "id": "minecraft:glass_bottle"
  }
}